# Check transaction risks

The method allows you to check the risks of a completed transaction.

This request can be executed for several seconds. It is not recommended to set timeout less than 15 seconds.

### Request:

| **Parameter** | **Required** | **Type** | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ------------- | ------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| tx            | Yes          | String   | Transaction hash                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| currency      | Yes          | String   | Currency                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| network       | Yes          | String   | Network                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| outputAddress | Yes          | String   | Recipient address of coins                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| direction     | Yes          | String   | <p>The side to check the risks. Takes the value <code>sent</code> or <code>received</code>.<br><br>The <code>sent</code> value should be passed if a withdrawal transaction was made from your address. Then the risks of the completed transaction from the side of the sender will be checked<br><br>The <code>received</code> value should be passed if a deposit was made to your address. Then the risks of receiving coins to your address will be checked</p> |

### Response:

| **Parameter**        | **Type**       | **Description**                                                                                                                                                                                                                                                    |
| -------------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| level                | String         | Risk level                                                                                                                                                                                                                                                         |
| categories           | String         | Array with risk categorization                                                                                                                                                                                                                                     |
| categories.level     | String         | Risk level in this category                                                                                                                                                                                                                                        |
| categories.usdAmount | Number         | The amount in USD that is associated with this risk category                                                                                                                                                                                                       |
| categories.category  | String or null | Category name                                                                                                                                                                                                                                                      |
| categories.service   | String or null | A service that is associated with this risk category                                                                                                                                                                                                               |
| categories.exposure  | String         | <p><code>DIRECT</code> - direct connection ("dirty" coins were sent from the attacker's address to the recipient's address directly)<br><br><code>INDIRECT</code> - indirect connection (the coins were marked risky, but passed through a chain of addresses)</p> |

The `level` parameter can take the following values:

* `white` - no risk
* `green` - low risk
* `yellow` - medium risk
* `red` - high risk
* `black` - severe risk

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/api-gateway/kyt/check-transfer" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/12kyt/post_check-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
